2018-08-19 14:42 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002588NetSurfDevelopmentpublic2018-04-21 14:02
ReporterSteve 
Assigned ToVincent Sanders 
SeveritytweakReproducibilityalways 
StatusresolvedResolutionopen 
PlatformLinuxOSCRUXOS Version4.9.61
Product Version3.7 
Target VersionFixed in Version3.8 
Summary0002588: Can't compile from source
Descriptionupon running 'make' per the instructions:
I get::

(Many lines indicating an ongoing successful build, line by line, until...)

cc: error: build/Linux-gtk/messages_gresource.c: No such file or directory
cc: fatal error: no input files
compilation terminated

I tried to get into the directory myself and look for the file, sure enough, it's not there. I can't find a "messages_gresource.c" file anywhere in the source.

Help?
Steps To Reproduce'make'
Additional InformationI'm very interested in this project and love the idea of a web browser that works the way this one does. Once I can get past this compilation issue, I look forward to testing the browser.
TagsNo tags attached.
Fixed in CI build #4326
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001765

Vincent Sanders (administrator)

this appears to be because glib-compile-resources command was not found
this should have halted the build, will look into it
Vincent Sanders

~0001768

Vincent Sanders (administrator)

Missing dependency in makefile. Build will now halt at point the tool cannot be found.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-25 18:31 Steve New Issue
2018-04-21 10:24 Vincent Sanders Assigned To => Vincent Sanders
2018-04-21 10:24 Vincent Sanders Status new => acknowledged
2018-04-21 10:24 Vincent Sanders Note Added: 0001765
2018-04-21 14:02 Vincent Sanders Status acknowledged => resolved
2018-04-21 14:02 Vincent Sanders Fixed in Version => 3.8
2018-04-21 14:02 Vincent Sanders Fixed in CI build # => 4326
2018-04-21 14:02 Vincent Sanders Note Added: 0001768
+Issue History